#### Previous topic

scipy.cluster.hierarchy.ClusterNode.get_count

#### Next topic

scipy.cluster.hierarchy.ClusterNode.get_left

# scipy.cluster.hierarchy.ClusterNode.get_id

`ClusterNode.``get_id`()

  The identifier of the target node.

  For `0 <= i < n`, i corresponds to original observation i. For `n <= i < 2n-1`, i corresponds to non-singleton cluster formed at iteration `i-n`.

  Returns:

  id : int

  > The identifier of the target node.